<div class="row row-section">
    <div class="col-md-12">
        <div class="card">
            <div class="card-body">
                <h3 class="title-composition" style="margin-bottom: 4%;">Generar Reporte</h3>
                <div class="col-md-3">
                    <!--
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Inicial</mat-label>
                        <input matInput [matDatepicker]="pickerInit" [max]="maxFechaInicial" (dateChange)="getDateStart($event)" id="date1Search">
                        <mat-datepicker-toggle matSuffix [for]="pickerInit"></mat-datepicker-toggle>
                        <mat-datepicker #pickerInit></mat-datepicker>
                    </mat-form-field>-->
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Inicial</mat-label>
                        <input matInput [matDatepicker]="picker" [max]="maxFechaInicial" (dateChange)="buscarPorFecha('fechaInicial', $event)" id="date1Search">
                        <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
                        <mat-datepicker #picker></mat-datepicker>
                    </mat-form-field>
                </div>
                <div class="col-md-3">
                    <!--
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Final</mat-label>
                        <input matInput  disabled="{{inputReadonly}}" [max]="fechaFinalMax" [matDatepicker]="picker2" (dateChange)="getDateEnd()" id="date2Search">
                        <mat-datepicker-toggle id="pickerDate" matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2 [startAt]="fechaInicial"></mat-datepicker>
                    </mat-form-field>-->
                    <mat-form-field appearance="fill">
                        <mat-label>Fecha Final</mat-label>
                        <input matInput [min]="fechaInicial" [max]="fechaFinalMax" [matDatepicker]="picker2" (dateChange)="buscarPorFecha('fechaFinal', $event)" id="date2Search">
                        <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                        <mat-datepicker #picker2 disabled="false" [startAt]="fechaInicial" [disabled]="!fechaFinalMax"></mat-datepicker>
                    </mat-form-field>
                </div>
                <div class="col-md-3">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #selectShop
                            name="shop" class="form-control" id="selectShop">
                            <option value="0">Selecciona un comercio </option>
                            <option value="0" *ngIf="showAllShops">Todos los comercios </option>
                            <option *ngFor="let shop of this.clients; index as i" value="{{shop['nombre']}}">
                                {{shop["nombre"]}}</option>
                        </select>
                    </div>
                </div>
    
                <div class="col-md-3">
                    <div class="dropdown">
                        <select class="browser-default custom-select" #selectTypeReport
                            name="nombre" class="form-control" id="selectTypeReport">
                            <option value="value1">Selecciona un estatus </option>
                            <option value="value1">Todos </option>
                            <option value="PASS">Aprobado</option>
                            <option value="REJECTED">Rechazado</option>
                        </select>
                    </div>
                </div>
            </div>
            <div class="row row-section">
                <div class="col-md-12">
                    <span style="color:red" *ngIf="showErrorDates">Seleccione un rango de fechas</span>
                </div>
            </div>
            <div class="row row-section">
                <div class="col-md-12" style="text-align: right;;">
                    <button (click)="generateReport()" class="btn btn-primary mr-4 mt-3" >Generar</button>
                </div>
            </div>
        </div>
    </div>
   
</div>

<div class="row">
    <div class="col-md-12">
        <h3 class="title-composition-left" style="margin-bottom: 4%;">Resultados:</h3>
        <div class="row row-section text-right">
            <div class="col-md-12">
                <button (click)="exportAsXLSX('general')" mat-raised-button color="primary"><i class="fa fa-download" aria-hidden="true"></i>Exportar</button>
            </div>
        </div>

        <div class="row row-section">

                    <div class="col-md-12">
                        <table id="dtResultReportStatus" class="table table-responsive table-striped table-bordered table-sm">
                            <thead>
                            <tr>
                              <th scope="col">#</th>
                              <th scope="col">Track ID</th>
                              <th scope="col">Correo</th>
                              <th scope="col">Cliente</th>
                              <th scope="col">Oferta</th>
                              <th scope="col">Fecha de trámite</th>
                              <th scope="col">Fecha de cambio</th>
                              <th scope="col">Estatus anterior</th>
                              <th scope="col">Estatus actual</th>
                              <th scope="col">Motivo</th>
                            </tr>
                            </thead>
                            <tbody>

                            </tbody>
                        </table>
                    </div>
                </div>
        
    </div>

</div>
